Bug 17459 - Session crashes with segfault doing match on POSIXlt object
Summary: Session crashes with segfault doing match on POSIXlt object
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Language (show other bugs)
Version: R 3.5.0
Hardware: All All
: P5 critical
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2018-08-31 18:46 UTC by Marco Giuliano
Modified: 2018-09-04 14:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Giuliano 2018-08-31 18:46:02 UTC
R session crashes with segfault when 'match' function is called passing a POSIXlt object as 'table' argument, e.g. :

   # match(<anything>,<POSIXlt>) --> segfault
   d <- as.POSIXlt('2018-01-01')
   match(0,d)

   # of course the same happens with %in%
   0 %in% d

   # Error reported on LINUX console 
      *** caught segfault ***
   address 0x16dc2, cause 'memory not mapped'


This is not supposed to happen. Probably an exception should/could be thrown, but the session should not crash.

Tested on R 3.5.0 on Linux, and 3.5.1 on Windows
Comment 1 Martin Maechler 2018-09-04 14:48:59 UTC
Thank you!
This has been fixed 3 days ago, by Kurt Hornik w svn rev 75224.